Page MenuHomePhabricator

'Undo' action from 'View history' cannot be completed
Closed, ResolvedPublic

Description

  1. On any Flow page edit some comment(s) and/or the description board
  2. Go to 'View history' and click on undo for 'edited a comment' and 'edited the description' antires.

The diff page to which you redirected, is dimmed and in a state of being loaded. Although, it displays: "The edit can be undone. Please check the comparison below to verify that this is what you want to do, and then save the changes below to finish undoing the edit. " - the page never becomes active.

The same never-finish-loading issue for action that cannot be undone.

A separate question: 'edited the description' action made by 'Flow talk page manager'(http://test.wikimedia.beta.wmflabs.org/w/index.php?title=Talk:ET20&action=history) also has 'undo'. Is it what can be undone?

Note: 'unhide', 'undelete', 'reopen' actions - can be successfully completed.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 11:29 PM
DannyH triaged this task as High priority.Jul 29 2015, 11:29 PM
DannyH set Security to None.
DannyH moved this task from Untriaged to Ready for next sprint on the Collaboration-Team-Triage board.

Change 228138 had a related patch set uploaded (by Sbisson):
[WIP] Fix undo-edit-header

https://gerrit.wikimedia.org/r/228138

DannyH renamed this task from [betalabs] 'Undo' action from 'View history' cannot be completed to 'Undo' action from 'View history' cannot be completed.Jul 31 2015, 9:27 PM

undo-edit-post and undo-edit-topic-summary actions have the same problem.

SBisson added a subscriber: DannyH.Aug 5 2015, 5:50 PM

A separate question: 'edited the description' action made by 'Flow talk page manager'(http://test.wikimedia.beta.wmflabs.org/w/index.php?title=Talk:ET20&action=history) also has 'undo'. Is it what can be undone?

'Flow talk page manager' sets the board description after converting it a page to Flow. It is a revision like any other and can be undone. I don't know if we want or if it is possible to make it non-undoable. @DannyH?

DannyH added a comment.Aug 5 2015, 9:23 PM

Yes, that can be undone. It's just undoing an edit to the wikitext in the description; it's not undoing a function.

Change 228138 merged by jenkins-bot:
Fix undo pages

https://gerrit.wikimedia.org/r/228138

Checked

  • undo-edit-post
  • undo-edit-topic-summary
  • undo description edit

Also checked the edits that cannot be undone.

DannyH closed this task as Resolved.Aug 10 2015, 5:14 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 20 2015, 9:06 PM